Index: trunk/MagicSoft/Mars/manalysis/MHillas.cc
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MHillas.cc	(revision 1461)
+++ trunk/MagicSoft/Mars/manalysis/MHillas.cc	(revision 1465)
@@ -126,11 +126,13 @@
     *fLog << all;
     *fLog << "Basic Image Parameters (" << GetName() << ")" << endl;
-    *fLog << " - Length   [mm]  = " << fLength << endl;
-    *fLog << " - Width    [mm]  = " << fWidth  << endl;
-    *fLog << " - Delta    [deg] = " << fDelta*kRad2Deg << endl;
-    *fLog << " - Size     [1]   = " << fSize   << " #CherPhot"   << endl;
-    *fLog << " - Meanx    [mm]  = " << fMeanX  << endl;
-    *fLog << " - Meany    [mm]  = " << fMeanY  << endl;
-    *fLog << " - atg(y/x) [deg] = " << atg     << endl;
+    *fLog << " - Length      [mm]  = " << fLength << endl;
+    *fLog << " - Width       [mm]  = " << fWidth  << endl;
+    *fLog << " - Delta       [deg] = " << fDelta*kRad2Deg << endl;
+    *fLog << " - Size        [1]   = " << fSize   << " #CherPhot"   << endl;
+    *fLog << " - Meanx       [mm]  = " << fMeanX  << endl;
+    *fLog << " - Meany       [mm]  = " << fMeanY  << endl;
+    *fLog << " - atg(y/x)    [deg] = " << atg     << endl;
+    *fLog << " - Used Pixels [#]   = " << fNumUsedPixels << " Pixels" << endl;
+    *fLog << " - Core Pixels [#]   = " << fNumCorePixels << " Pixels" << endl;
 }
 
@@ -160,4 +162,7 @@
 
     Clear();
+
+    if (fLength<0 || fWidth<0)
+        return;
 
     fEllipse = new TEllipse(fMeanX, fMeanY, fLength, fWidth,
Index: trunk/MagicSoft/Mars/manalysis/MHillas.h
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MHillas.h	(revision 1461)
+++ trunk/MagicSoft/Mars/manalysis/MHillas.h	(revision 1465)
@@ -22,9 +22,9 @@
     Float_t fMeanY;         // [mm]        y-coordinate of center of ellipse
 
+    Short_t fNumUsedPixels; // Number of pixels which survived the image cleaning
+    Short_t fNumCorePixels; // number of core pixels
+
     Float_t fSinDelta;      //! [1] sin of Delta (to be used in derived classes)
     Float_t fCosDelta;      //! [1] cos of Delta (to be used in derived classes)
-
-    Short_t fNumUsedPixels; // Number of pixels which survived the image cleaning
-    Short_t fNumCorePixels; // number of core pixels
 
     TEllipse *fEllipse;     //! Graphical Object to Display Ellipse
Index: trunk/MagicSoft/Mars/manalysis/MHillasExt.cc
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MHillasExt.cc	(revision 1461)
+++ trunk/MagicSoft/Mars/manalysis/MHillasExt.cc	(revision 1465)
@@ -18,4 +18,5 @@
 !   Author(s): Thomas Bretz    12/2000 <mailto:tbretz@uni-sw.gwdg.de>
 !   Author(s): Rudolf Bock     10/2001 <mailto:Rudolf.Bock@cern.ch>
+!   Author(s): Wolfgang Wittek 06/2002 <mailto:wittek@mppmu.mpg.de>
 !
 !   Copyright: MAGIC Software Development, 2000-2002
@@ -36,6 +37,16 @@
 // fM3Long   third moment along major axis
 // fM3Trans  third moment along minor axis
+// fLeakage1 ratio : (photons in most outer ring of pixels) over fSize
+// fLeakage2 ratio : (photons in the 2 outer rings of pixels) over fSize
+//
+// WARNING: Before you can use fAsym, fM3Long and fM3Trans you must
+//          multiply by the sign of MHillasSrc::fCosAlphaDelta
 //
 ////////////////////////////////////////////////////////////////////////////
+/*
+ // fAsymna   d/(d na) of ( sum(x*q^na)/sum(q^na), sum(y*q^na)/sum(q^na) )
+ //           projected onto the major axis
+ // fAsym0    (F-B)/(F+B) along the major axis
+ */
 #include "MHillasExt.h"
 
@@ -172,4 +183,10 @@
         /*
          //
+         // power na for calculating fAsymna;
+         // the value 1.5 was suggested by Thomas Schweizer
+         //
+         Double_t na = 1.5;
+
+         //
          // get sums for calculating fAsymna
          // the outer pixels are 4 times as big (in area)
@@ -201,11 +218,4 @@
 
     /*
-
-     //
-     // power na for calculating fAsymna;
-     // the value 1.5 was suggested by Thomas Schweizer
-     //
-     Double_t na = 1.5;
-
      fLeakage1 = edgepix1 / GetSize();
      fLeakage2 = edgepix2 / GetSize();
